Fingerprint_Card

Loading...
Searching...
No Matches
sha256.c File Reference
`#include "sha256.h"`
Include dependency graph for sha256.c:

## Macros
#define | SWAP_BYTES
#define | RL(x, n)
#define | RR(x, n)
#define | S0(x)
#define | S1(x)
#define | G0(x)
#define | G1(x)
#define | BSWP(x, y)
#define | MEMCP(x, y, z)
#define | __cdecl
#define | B(x, y)
#define | P(x, y)

## Functions
static void | _bswapw (uint32_t *p, uint32_t i)
void *__cdecl | _memcp (void *d, const void *s, uint32_t sz)
static void | _rtrf (uint32_t *b, uint32_t *p, uint32_t i, uint32_t j)
static void | _hash (sha256_context *ctx)
void | sha256_init (sha256_context *ctx)
void | sha256_hash (sha256_context *ctx, uint8_t *dat, uint32_t sz)
void | sha256_done (sha256_context *ctx, uint8_t *buf)

## Variables
static const uint32_t | K [64]

## Macro Definition Documentation

## ◆ __cdecl

#define __cdecl

## ◆ B

#define B | ( |  | x,
|  |  | y )

Value:
b[(x-y) & 7]

## ◆ BSWP

#define BSWP | ( |  | x,
|  |  | y )

Value:
_bswapw((uint32_t *)(x), (uint32_t)(y))
_bswapw
static void _bswapw(uint32_t *p, uint32_t i)
Definition sha256.c:74

## ◆ G0

#define G0 | ( |  | x | ) |

Value:
(RR((x), 7) ^ RR((x),18) ^ ((x) >> 3))
RR
#define RR(x, n)
Definition sha256.c:32

## ◆ G1

#define G1 | ( |  | x | ) |

Value:
(RR((x),17) ^ RR((x),19) ^ ((x) >> 10))

## ◆ MEMCP

#define MEMCP | ( |  | x,
|  |  | y,
|  |  | z )

Value:
_memcp((x),(y),(z))
_memcp
void *__cdecl _memcp(void *d, const void *s, uint32_t sz)
Definition sha256.c:82

## ◆ P

#define P | ( |  | x,
|  |  | y )

Value:
p[(x+y) & 15]

## ◆ RL

#define RL | ( |  | x,
|  |  | n )

Value:
(((x) << n) | ((x) >> (32 - n)))

## ◆ RR

#define RR | ( |  | x,
|  |  | n )

Value:
(((x) >> n) | ((x) << (32 - n)))

## ◆ S0

#define S0 | ( |  | x | ) |

Value:
(RR((x), 2) ^ RR((x),13) ^ RR((x),22))

## ◆ S1

#define S1 | ( |  | x | ) |

Value:
(RR((x), 6) ^ RR((x),11) ^ RR((x),25))

## ◆ SWAP_BYTES

#define SWAP_BYTES

## Function Documentation

## ◆ _bswapw()

void _bswapw | ( | uint32_t * | p,
|  | uint32_t | i )
| static

## ◆ _hash()

void _hash | ( | sha256_context * | ctx | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ _memcp()

void *__cdecl _memcp | ( | void * | d,
|  | const void * | s,
|  | uint32_t | sz )

## ◆ _rtrf()

void _rtrf | ( | uint32_t * | b,
|  | uint32_t * | p,
|  | uint32_t | i,
|  | uint32_t | j )
| static

Here is the caller graph for this function:

## ◆ sha256_done()

void sha256_done | ( | sha256_context * | ctx,
|  | uint8_t * | buf )

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ sha256_hash()

void sha256_hash | ( | sha256_context * | ctx,
|  | uint8_t * | dat,
|  | uint32_t | sz )

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ sha256_init()

void sha256_init | ( | sha256_context * | ctx | ) |

Here is the caller graph for this function:

## Variable Documentation

## ◆ K

const uint32_t K[64]
| static

Initial value:
= {
0x428a2f98, 0x71374491, 0xb5c0fbcf, 0xe9b5dba5,
0x3956c25b, 0x59f111f1, 0x923f82a4, 0xab1c5ed5,
0xd807aa98, 0x12835b01, 0x243185be, 0x550c7dc3,
0x72be5d74, 0x80deb1fe, 0x9bdc06a7, 0xc19bf174,
0xe49b69c1, 0xefbe4786, 0x0fc19dc6, 0x240ca1cc,
0x2de92c6f, 0x4a7484aa, 0x5cb0a9dc, 0x76f988da,
0x983e5152, 0xa831c66d, 0xb00327c8, 0xbf597fc7,
0xc6e00bf3, 0xd5a79147, 0x06ca6351, 0x14292967,
0x27b70a85, 0x2e1b2138, 0x4d2c6dfc, 0x53380d13,
0x650a7354, 0x766a0abb, 0x81c2c92e, 0x92722c85,
0xa2bfe8a1, 0xa81a664b, 0xc24b8b70, 0xc76c51a3,
0xd192e819, 0xd6990624, 0xf40e3585, 0x106aa070,
0x19a4c116, 0x1e376c08, 0x2748774c, 0x34b0bcb5,
0x391c0cb3, 0x4ed8aa4a, 0x5b9cca4f, 0x682e6ff3,
0x748f82ee, 0x78a5636f, 0x84c87814, 0x8cc70208,
0x90befffa, 0xa4506ceb, 0xbef9a3f7, 0xc67178f2
}